fli_timer(3)

NAME
fli_timer - Global variable for timing FLI playback. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern volatile int fli_timer;

DESCRIPTION
Global variable for timing FLI playback. When you open an FLI file, a timer interrupt is installed which increments this variable every time a new frame should be displayed. Calling next_fli_frame() decrements it, so you can test it and know that it is time to display a new frame if it is greater than zero. Example:
   while (next_fli_frame(0) == FLI_OK) {
      /* Do stuff, like play audio stream
         or check keys to skip animation. */
      /* Rest some time until next frame... */
      while (fli_timer <= 0)
         rest(0);
   }

SEE ALSO
install_timer(3), next_fli_frame(3)